Xeonr Developer Docs
UplApiBuckets

Revoke resource permission

POST
/uplim.api.v1.BucketsService/RevokeResourcePermission

Removes a user's access to a specific folder or upload.

Authorization

OAuth2 upl:bucket:manage
AuthorizationBearer <token>

OAuth 2.0 authorization

In: header

Scope: upl:bucket:manage

Header Parameters

Connect-Protocol-Version?number

Define the version of the Connect protocol

Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

bucketRef?&

Reference to the bucket

accountId?string

User to revoke permission from Account (user) ID, a decimal integer.

Length1 <= length <= 64
folderRef?&

Revoke folder access

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketsService/RevokeResourcePermission" \  -H "Connect-Protocol-Version: 1" \  -H "Connect-Timeout-Ms: 1000" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}